GRASS/Processing stopped to warn the user when a layer is not outputted 

2017-07-25 01:31 AM - Giovanni Manghi

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/GRASS

Affected QGIS version:2.18.13 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:No Copied to github as #: 24825

Description

Until 2.14 in GRASS/Processing if for any reason the output (or an output) is not generated the last part of the log says (in red) something

along this lines:

C:\OSGEO4~1\bin>exit 

Converting outputs

Loading resulting layers

The following layers were not correctly generated.

Dissolved

You can check the log messages to find more information about the execution of the algorithm

in QGIS 2.18.11 the same scenario ends with the message

C:\OSGeo4W64\bin>exit 

Converting outputs

Loading resulting layers

Algorithm v.buffer.distance - Creates a buffer around features of given type. finished

which is the type of message that shows when an output is correctly generated.

History

#1 - 2017-10-06 12:22 PM - Giovanni Manghi

- Regression? changed from Yes to No

- Affected QGIS version changed from 2.18.11 to 2.18.13

- Priority changed from High to Normal

This only affects the GRASS tools that are added as "external" tools using python scripts i.e.

python\plugins\processing\algs\grass7\ext\

#2 - 2018-06-01 08:40 AM - Nyall Dawson

- Status changed from Open to Feedback

Not reproducible on master - can you confirm this is fixed?
#3 - 2018-11-11 03:23 AM - Jürgen Fischer

- Resolution set to no timely feedback

- Status changed from Feedback to Closed
